/* javascript function to create highlight toolbar in dokuwiki */
/* see http://wiki.splitbrain.org/plugin:highlight for more info */
 
var plugin_highlight_colors = {
 
  // Row 1
  "Yellow":      "#ffff00",
  "Red":         "#ff0000",
  "Orange":      "#ffa500",
  "Salmon":      "#fa8072",
  "Pink":        "#ffc0cb",
  "Plum":        "#dda0dd",
  "Purple":      "#800080",
  "Fuchsia":     "#ff00ff",
  "Silver":      "#c0c0c0",
 
  // Row 2
  "Aqua":        "#00ffff",
  "Teal":        "#008080",
  "Cornflower":  "#6495ed",
  "Sky Blue":    "#87ceeb",
  "Aquamarine":  "#7fffd4",
  "Pale Green":  "#98fb98",
  "Lime":        "#00ff00",
  "Green":       "#008000",
  "Olive":       "#808000"
 
  // Row 3 (remember to add a comma to the end of the line above of you add a third row!!)
 
};
 
function plugin_highlight_toolbar_picker() {
  if (!document.getElementById('spell__action')) return;
  var toolbar = document.getElementById('tool__bar');
  if (!toolbar) return;
  var toolbar_icon =
    'data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8%2F'
    + '9hAAAABGdBTUEAALGPC%2FxhBQAAAAd0SU1FB9UKDxIjDtpHArMAAABxSURBVDhP'
    + 'tZPbDsAgCEPd%2F380TiILQwsmjSY%2BeDttsDwiTRozBgDNlzvg8FzFrwFMvXIB'
    + 'HVCAqJq52DqgAEgN7sdfoACxcGjtRX81oAD%2BcZVMn87PQRUYgy4%2FNJtJM1%2'
    + 'FlfndXHZzYjw5MLG2mrNHsrAPCp0TZTwkl2QAAAABJRU5ErkJggg%3D%3D';
 
  var p_id = 'picker_plugin_highlight'; // picker id that we're creating
 
  // Create the picker button
  var p_ico = document.createElement('img');
  p_ico.src = toolbar_icon;
  var p_btn = document.createElement('button');
  p_btn.className = 'toolbutton';
  p_btn.title = 'Highlight Text';
  p_btn.appendChild(p_ico);
  eval("p_btn.onclick = function() { showPicker('"
    + p_id + "',this); return false; }");
 
  // Create the picker <div>
  var picker = document.createElement('div');
  picker.className = 'picker';
  picker.id = p_id;
  picker.style.position = 'absolute';
  picker.style.display = 'none';
 
  // Add a button to the picker <div> for each of the colors
  for( var color in plugin_highlight_colors ) {
 
    var btn = document.createElement('button');
    btn.className = 'pickerbutton';
    btn.title = color;
    btn.style.height = '1em';
    btn.style.padding = '1em';
    btn.style.backgroundColor = plugin_highlight_colors[color];
 
    var open = "<hi " + plugin_highlight_colors[color] + ">";
    var close ="<\/hi>";
    var sample = color + "Highlighted Text";
    eval("btn.onclick = function(){ insertTags( '"
      + jsEscape('wiki__text') + "','"
      + jsEscape(open) + "','"
      + jsEscape(close)+"','"
      + jsEscape(sample) + "'); return false; } "
    );
    picker.appendChild(btn);
  }
 
  var body = document.getElementsByTagName('body')[0];
  body.appendChild(picker);     // attach the picker <div> to the page body
  toolbar.appendChild(p_btn);   // attach the picker button to the toolbar
}
addInitEvent(plugin_highlight_toolbar_picker);
